org.apache.http

## Interface StatusLine

- All Known Implementing Classes:
    BasicStatusLine

      public interface StatusLine

  The first line of a Response message is the Status-Line, consisting of the protocol version followed by a numeric status code and its associated textual phrase, with each element separated by SP characters. No CR or LF is allowed except in the final CRLF sequence.

           Status-Line = HTTP-Version SP Status-Code SP Reason-Phrase CRLF

  Since:
    4.0
  Version:
    $Id: StatusLine.java 937295 2010-04-23 13:44:00Z olegk $
  See Also:
    `HttpStatus`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolVersion` | `getProtocolVersion()`
    `String` | `getReasonPhrase()`
    `int` | `getStatusCode()`

- - ### Method Detail

    - #### getProtocolVersion

          ProtocolVersion getProtocolVersion()

    - #### getStatusCode

          int getStatusCode()

    - #### getReasonPhrase

          String getReasonPhrase()

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.